
pfSense Packages - Bug #6456

vm-bhyve not correctly detecting the modules in kernel

06/06/2016 03:16 PM - Pedro Ramos

Status: Not a Bug Start date: 06/06/2016

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Plus Target Version:  Affected Plus

Version:

 

Affected Version:  Affected

Architecture:

 

Description

Trying to run bhyve in pfsense 2.3.1. I have install vm-bhyve. But I found it is not working properly when executing "vm init". The the

routine "vm-common" is issuing the command kldstat with the wrong parameter. It is using -n instead of -m.

It wrong identified that the if_bridge kernel module was not loaded.

Here is the patch

--- vm-common.orig      2015-11-11 15:30:13.000000000 0000

++ vm-common   2016-06-06 19:44:31.838580000 +0000

@ -41,7 +41,7 @  #

__load_module(){

local _mod="$1"

-       kldstat -n ${_mod} >/dev/null 2>&1

+       kldstat -m ${_mod} >/dev/null 2>&1

if [ $? -ne 0 ]; then

kldload ${_mod} >/dev/null 2>&1

[ $? -ne 0 ] && __err "unable to load ${_mod}.ko!"

Thank you

History

#1 - 06/08/2016 03:28 AM - Jose Luis Duran

This was fixed in vm-bhyve v0.12.3.

(https://github.com/churchers/vm-bhyve/commit/a74ef7e04a5fa5ce256fe2f213dec6f51b8f8847)

#2 - 12/17/2016 05:37 PM - Kill Bill

Jose Luis Duran wrote:

This was fixed in vm-bhyve v0.12.3.

(https://github.com/churchers/vm-bhyve/commit/a74ef7e04a5fa5ce256fe2f213dec6f51b8f8847)

 Considering the current package version is vm-bhyve-1.1.5, this just can be closed, no?

#3 - 09/28/2017 03:30 AM - Kill Bill

As noted above, long fixed.

#4 - 09/28/2017 06:29 AM - Jim Thompson

- Status changed from New to Not a Bug
